UpdateCapacityProvider
Updates a capacity provider. Only the description can be changed. To change other configuration, such as instance types, networking, or storage, create a new capacity provider.
Request Syntax
PUT /capacity-providers/capacityProviderId HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": {
"optionalValue": "string"
}
}
URI Request Parameters
The request uses the following URI parameters.
- capacityProviderId
-
The unique identifier of the capacity provider to update.
Length Constraints: Minimum length of 12. Maximum length of 59.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- description
-
The updated description of the capacity provider.
Type: UpdatedDescription object
Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"capacityProviderArn": "string",
"capacityProviderId": "string",
"createdAt": "string",
"lastUpdatedAt": "string",
"name": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- capacityProviderArn
-
The Amazon Resource Name (ARN) of the capacity provider.
Type: String
Pattern:
arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:capacity-provider/[a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10} - capacityProviderId
-
The unique identifier of the capacity provider.
Type: String
Length Constraints: Minimum length of 12. Maximum length of 59.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10} - createdAt
-
The timestamp when the capacity provider was created.
Type: Timestamp
- lastUpdatedAt
-
The timestamp when the capacity provider was last updated.
Type: Timestamp
- name
-
The name of the capacity provider.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 48.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,47} - status
-
The current status of the capacity provider. For possible values, see
CapacityProviderStatus.Type: String
Valid Values:
CREATING | CREATE_FAILED | UPDATING | UPDATE_FAILED | READY | DELETING | DELETE_FAILED
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- RetryableConflictException
-
The operation failed because of a conflicting request. Retry the request.
HTTP Status Code: 409
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: